Support » Plugin: Codestyling Localization » [Plugin: Codestyling Localization] PHP Warning on version 1.99.15

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author codestyling

    (@codestyling)

    Seems to be related to the filename in analysis. Did the plugin using special chars at some filenames like ‘$’, ‘^’ or brackets ?

    Aha, don’t know in detail. I can use the plugin as normal for translating. Is it when files/plugins use a variable for textdomain containing the “$” symbol or such?

    Can I do something to avoid this?

    Thanx, Dave 🙂

    Plugin Author codestyling

    (@codestyling)

    The questionable line deals with filenames of *.mo and *.po file. Could it be, that inside the naming of one of your plugin files are special character contained?
    I can’t reproduce the issue until I know a case (filename) which produces this result. Could you pease find out, which *.mo/*.po/*.pot is responsible for this behavior and give me this example as test base?

    Hi

    It is the adminimize plugin – drag it out of plugins – all ok
    drag it back in again and error above happens.

    @anmari
    Thank you for that tip, much appreciated!
    When I delete the whole folder of “Adminimize” then the warning goes away, right! 🙂
    (Note: Deactivating the plugin doesn’t work though, the folder has to be deleted on the server…)

    -dave 🙂

    Thanks for the hints, i have found the problem. Heikos plugin find the string of textdomain via preg_match and i define my string via function, not static. The next version of my plugin change this and than works fine.

    Thank you, Frank! Much appreciated – your plugin is really awesome, thanx for your hard work!

    Welcome 😉

    Can all people check the current trunk http://downloads.wordpress.org/plugin/adminimize.zip – i have no problems with this and i hope you also. Thanks for feedback.

    Thank you, Frank!
    After second try the trunk version now works without the error message! Just perfect 🙂

    Thanks for the reply; but i will also change other topics and after this i will released the new version.

    Plugin Author codestyling

    (@codestyling)

    preg_match() issue solved at Version 1.99.16

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘[Plugin: Codestyling Localization] PHP Warning on version 1.99.15’ is closed to new replies.